Bug 59047 - jdk1.3.1 crashes after upgrading kernel-2.4.9-21
jdk1.3.1 crashes after upgrading kernel-2.4.9-21
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-29 18:31 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-29 18:31:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I am using RH7.2 (kernel 2.4.9-21, glibc 2.2.4-19.3, i386 packages), and after
updating kernel form 2.4.9-13 to 2.4.9-21, jdk1.3.1 crashes.
The output is below, I don't make an attachment, because there isn't a core dump
or something.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Execute a graphical application like the demos bundled with jdk1.3.1
2.From command line type "java -version"
3.That's it.
	

Actual Results:  "Another exception has been detected while we were handling
last error.
Dumping information about last error:
Error report file = (N/A)
PC = 0x0x402690e8
Signal = 11
Function Name = (N/A)
Library Name = (N/A)
Please check error report file for further information, if there is any.
Good bye."

Expected Results:  Just the version info of JVM.

Additional info:

I know that glibc2.2 and jdk have some problems, but I guess this is a bug in
kernel. Before updating, there wasn't such a problem, and I made three fresh
installs and almost proved that this problem comes with the new kernel.
My computer is P2-400 with 256 mb of ram, 512 mb swap, RH 7.2 with official updates.
I hope you people have enough time and interest to solve this bug.
Comment 1 Bugzilla owner 2004-09-30 11:39:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.